[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Broken Deps bugs and fixes for epel 5



Greetings. 

I took a look at the current broken deps as best I could for epel 5
today. (If I have time, I will try and look at epel 4 tomorrow). 
(I only have centos machines here, no RHEL, and no PPC boxes running
RHEL). 

5 - stable
======
package: Django-docs - 0.96.1-1.el5.noarch from epel
  unresolved deps: 
     Django = 0:0.96.1-1.el5

Not sure what happened here. Looks like when the last Django was pushed
to stable the Django-docs subpackage didn't go with it. ;( 
Perhaps we should push the new Django + Django-docs package to stable
to fix this?

package: libkexiv2 - 0.1.6-3.el5.i386 from epel
  unresolved deps: 
     libexiv2.so.0

Even though I used '-n' to repoclosure, this appears to be due to an
older version of a exiv2 package still in the repo. 

package: thunderbird-lightning-wcap - 0.7-10.el5.i386 from epel
  unresolved deps: 
     thunderbird-lightning = 0:0.7

This is an old package thats been obsoleted (repoclosure doesn't do
obsoletes I guess). 

5 - testing
======
package: abgraph - 1.1-1.el5.noarch from epel-testing
  unresolved deps: 
     httpd-tools

There is no httpd-tools for RHEL/CentOS5. 
https://bugzilla.redhat.com/show_bug.cgi?id=463015

package: claws-mail-plugins-dillo - 3.3.1-1.el5.i386 from epel-testing
  unresolved deps: 
     dillo

dillo doesn't exist for epel. 
https://bugzilla.redhat.com/show_bug.cgi?id=463016

package: emacs-gambit - 4.2.8-6.el5.i386 from epel-testing
  unresolved deps: 
     emacs(bin) >= 0:21.4

RHEL/CentOS emacs doesn't provide that. 
https://bugzilla.redhat.com/show_bug.cgi?id=463019

package: emacs-vala - 0.3.4-2.el5.i386 from epel-testing
  unresolved deps: 
     emacs(bin) >= 0:21.4

RHEL/CentOS emacs doesn't provide that. 
https://bugzilla.redhat.com/show_bug.cgi?id=463020

package: flumotion - 0.4.2-2.el5.i386 from epel-testing
  unresolved deps: 
     pycrypto

There is no pycrypto package, but there is a python-crypto.
https://bugzilla.redhat.com/show_bug.cgi?id=463021

package: gnome-applet-sshmenu - 3.15-5.el5.noarch from epel-testing
  unresolved deps: 
     ruby(panelapplet2)
     ruby(gconf2)

ruby-gconf2 and ruby-panelapplet2 are not branched for epel. 
https://bugzilla.redhat.com/show_bug.cgi?id=463022

package: grc - 0.70-3.el5.noarch from epel-testing
  unresolved deps: 
     gnuradio

There is already a filed request for el5 branch for gnuradio: 
https://bugzilla.redhat.com/show_bug.cgi?id=443921

package: hellanzb - 0.13-5.el5.noarch from epel-testing
  unresolved deps: 
     python-twisted
     par2cmdline

2 bugs asking for python-twisted parts already: 
https://bugzilla.redhat.com/show_bug.cgi?id=454919
https://bugzilla.redhat.com/show_bug.cgi?id=454919

package: hunspell-he - 1.0-7.el5.i386 from epel-testing
  unresolved deps: 
     hunspell

hunspell isn't in epel/rhel. This should be requiring 'hspell' it
appears:
https://bugzilla.redhat.com/show_bug.cgi?id=463024

package: libkexiv2 - 0.1.6-3.el5.i386 from epel
  unresolved deps: 
     libexiv2.so.0

I'm not sure whats going on here. exiv2 provides this, so it should not
be a broken dep. Anyone see the issue here?

package: mediawiki-ParserFunctions -
1.1.1-1.20080520svn35130.el5.noarch from epel-testing unresolved deps: 
     mediawiki >= 0:1.10

No mediawiki builds yet. 
https://bugzilla.redhat.com/show_bug.cgi?id=436375

package: perl-Collectd - 4.4.3-1.el5.i386 from epel-testing
  unresolved deps: 
     perl(Config::General)

perl-Config-General isn't in epel yet. 
https://bugzilla.redhat.com/show_bug.cgi?id=463025

package: perl-libwhisker2 - 2.4-3.el5.noarch from epel-testing
  unresolved deps: 
     perl(MD5)

Reported a long time ago: 
https://bugzilla.redhat.com/show_bug.cgi?id=425827

package: python-Coherence - 0.2.1-3.el5.noarch from epel-testing
  unresolved deps: 
     python-nevow

python-nevow isn't in epel. 
https://bugzilla.redhat.com/show_bug.cgi?id=463026

package: python-fedora-infrastructure - 0.2.90.22-1.el5.noarch from epel
  unresolved deps: 
     python-fedora = 0:0.2.90.22-1.el5

I don't understand this one... it's in there and should be provided. ;( 
Anyone have any ideas?

package: python-peak-rules - 0.5a1.dev-0.2569.el5.noarch from
epel-testing unresolved deps: 
     python-decoratortools >= 0:1.7

python-decoratortools 1.6 is available. 
https://bugzilla.redhat.com/show_bug.cgi?id=463027

package: revisor-delta - 2.0.5.1-4.el5.noarch from epel
  unresolved deps: 
     revisor = 0:2.0.5.1-4.el5

package: revisor-jigdo - 2.0.5.1-4.el5.noarch from epel
  unresolved deps: 
     revisor = 0:2.0.5.1-4.el5

package: revisor-rebrand - 2.0.5.1-4.el5.noarch from epel
  unresolved deps: 
     revisor = 0:2.0.5.1-4.el5

package: revisor-virt - 2.0.5.1-4.el5.noarch from epel
  unresolved deps: 
     revisor = 0:2.0.5.1-4.el5

Not sure whats going on with these either. ;( 
Looks like it's there and fine to me. 

package: sshfp - 1.1.3-2.el5.noarch from epel-testing
  unresolved deps: 
     python-dns

https://bugzilla.redhat.com/show_bug.cgi?id=463028

package: sshmenu - 3.15-5.el5.noarch from epel-testing
  unresolved deps: 
     ruby(gtk2)

Added to the sshmenu bug: 
https://bugzilla.redhat.com/show_bug.cgi?id=463022

package: supybot - 0.83.3-7.el5.noarch from epel-testing
  unresolved deps: 
     python-dictclient

No python-dictclient in epel. 
https://bugzilla.redhat.com/show_bug.cgi?id=463029

package: tkimg - 1.3-0.8.20080505svn.el5.i386 from epel-testing
  unresolved deps: 
     tcl(abi) = 0:8.4

RHEL package doesn't have this provides. 
https://bugzilla.redhat.com/show_bug.cgi?id=463031

package: translate-toolkit - 0.10.1-1.el5.noarch from epel-testing
  unresolved deps: 
     python-enchant

Bug filed many months ago: 
https://bugzilla.redhat.com/show_bug.cgi?id=429480

package: vala-docs - 0.1.5-5.el5.i386 from epel
  unresolved deps: 
     vala = 0:0.1.5-5.el5

Not sure on this one. Seems to be fine from what I can see. ;( 

package: vala-tools - 0.3.4-2.el5.i386 from epel-testing
  unresolved deps: 
     gnome-common

No gnome-common in rhel/centos:
https://bugzilla.redhat.com/show_bug.cgi?id=463032

package: viewmtn - 0.10-1.el5.noarch from epel-testing
  unresolved deps: 
     highlight

highlight isn't in epel yet.
https://bugzilla.redhat.com/show_bug.cgi?id=463033

kevin

Attachment: signature.asc
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]